[![NPM](https://img.shields.io/npm/v/@salesforce/command.svg)](https://www.npmjs.com/package/@salesforce/command)

# Description

This package contains the base command class for Salesforce CLI, `SfdxCommand`. Extend this class for convenient access to common Salesforce CLI parameters, a logger, CLI output formatting, scratch orgs, and Dev Hubs. This class extends [@oclif/command](https://github.com/oclif/command) and is available within a plug-in generated by Salesforce Plug-In Generator.

## Usage

### Check Your Salesforce CLI Version

Commands that extend `SfdxCommand` can only be used with Salesforce CLI version 6.8.2 or later. To check your Salesforce CLI version:

```bash
$ sfdx version
sfdx-cli/6.42.0-ae478b3cb8 (darwin-x64) node-v8.9.4
```

### Features

To learn more about the features of the Command Library see the _[Salesforce CLI Plug-In Developer Guide](https://developer.salesforce.com/docs/atlas.en-us.sfdx_cli_plugins.meta/sfdx_cli_plugins/cli_plugins.htm)_.

## Contributing

If you are interested in contributing, please take a look at the [CONTRIBUTING](https://github.com/salesforcecli/command/blob/main/CONTRIBUTING.md) guide.

## Development

If you are interested in building this package locally, please take a look at the [DEVELOPING](https://github.com/salesforcecli/command/blob/main/DEVELOPING.md) doc.

## Related Docs and Repositories

- [@salesforce/command](https://github.com/salesforcecli/command) - Contains the base Salesforce CLI command, `SfdxCommand`.
- [@oclif/command](https://github.com/oclif/command) - Contains the base oclif `Command`, which `SfdxCommand` extends.
- [@salesforce/plugin-generator](https://github.com/forcedotcom/sfdx-plugin-generate) - The generator plug-in for building plug-ins for Salesforce CLI.

## Issues

Please report any issues here: https://github.com/forcedotcom/cli/issues
